WLAN Broadcom BCM 4306 problems -the fw file(bwn_v4_ucode5) not found
Status: Closed Start date: 12/15/2010
Target version:    
Description

I'm using Broadcom BCM4306 802.11b/g Wireless in my pfSense 2.0 BETA 4 full.

(kernel: FreeBSD 8.1-RELEASE-p2 #1: Tue Dec 14 21:35:14 EST 2010)

I would like to use the card as a WAN client, but the interface fails to connect. The card is successfully detected as a bwn0 interface.

I've checked the logs which show:

Dec 15 14:16:31    kernel: siba_bwn0: <Broadcom BCM4306 802.11b/g Wireless> mem 0xdb100000-0xdb101fff irq 5 at device 13.0

on pci2

Dec 15 14:16:31    kernel: bwn0 on siba_bwn0

Dec 15 14:16:31    kernel: bwn0: WLAN (chipid 0x4306 rev 5) PHY (analog 2 type 2 rev 2) RADIO (manuf 0x17f ver 0x2050 rev 2)

Dec 15 14:16:31    kernel: bwn0: DMA (30 bits)

Dec 15 14:16:31    kernel: bwn0: [FILTER]

.....

Dec 15 14:16:31    kernel: bwn0: need multicast update callback

Dec 15 14:16:31    kernel: bwn0: need multicast update callback

Dec 15 14:16:31    kernel: bwn0: need multicast update callback

Dec 15 14:16:31    kernel: bwn0: need multicast update callback

Dec 15 14:16:31    kernel: bwn_v4_ucode5: could not load firmware image, error 2

Dec 15 14:16:31    kernel: bwn0: the fw file(bwn_v4_ucode5) not found

Dec 15 14:16:31    kernel: bwn-open_v4_ucode5: could not load firmware image, error 2

Dec 15 14:16:31    kernel: bwn0: the fw file(bwn-open_v4_ucode5) not found

Dec 15 14:16:31    kernel: bwn0: warn: firmware state (65021)

Dec 15 14:16:31    kernel: bwn0: warn: firmware state (65021)

Dec 15 14:16:31    kernel: bwn0: warn: firmware state (65021)

Dec 15 14:16:31    kernel: bwn0: warn: firmware state (65021)

Dec 15 14:16:31    kernel: bwn0: warn: firmware state (65021)

Dec 15 14:16:31    kernel: bwn0: warn: firmware state (65021)

Dec 15 14:16:31    kernel: bwn_v4_ucode5: could not load firmware image, error 2

Dec 15 14:16:31    kernel: bwn0: the fw file(bwn_v4_ucode5) not found

Dec 15 14:16:31    kernel: bwn-open_v4_ucode5: could not load firmware image, error 2

Dec 15 14:16:31    kernel: bwn0: the fw file(bwn-open_v4_ucode5) not found

Dec 15 14:16:31    kernel: bwn_v4_ucode5: could not load firmware image, error 2

Dec 15 14:16:31    kernel: bwn0: the fw file(bwn_v4_ucode5) not found

Dec 15 14:16:31    kernel: bwn-open_v4_ucode5: could not load firmware image, error 2

Dec 15 14:16:31    kernel: bwn0: the fw file(bwn-open_v4_ucode5) not found

I think there is a missing module, which needs to be compiled as search for the "ucode" showed that only

"/boot/modules/bwi_v3_ucode.ko" exists. Tutorial on how to build the module can be found at 

http://kerneltrap.org/mailarchive/freebsd-current/2010/4/14/6257467/thread - I'm lacking the tools to build and test the solution.

I can provide additional log files and test any solutions if they are provided.

Associated revisions

Revision 0a33f73e - 09/17/2006 04:45 PM - Scott Ullrich 
History

#1 - 04/26/2011 09:07 PM - Chris Buechler

- Target version deleted (2.0)

it can be built on a stock FreeBSD 8.1 system and copied over.

#2 - 09/04/2013 11:12 AM - Chris Buechler

- Status changed from New to Closed
